> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get a log entry

`GET https://api.pagerduty.com/log_entries/{id}`

Get details for a specific incident log entry. This method provides additional information you can use to get at raw event data.

A log of all the events that happen to an Incident, and these are exposed as Log Entries.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#log-entries)

Scoped OAuth requires: `incidents.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `time_zone` | string (tzinfo) |  | Time zone in which results will be rendered. This will default to the account time zone. |
| `include[]` | string |  | Array of additional Models to include in response. One of: `incidents`, `services`, `channels`, `teams`. Items must be unique. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A single log entry.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `log_entry` | one of: object \| object \| object \| object \| object \| object \| object \| object \| object \| object \| object \| object \| object \| object \| object | yes |  |
| `log_entry.id` | string |  | (option 1) Read-only. |
| `log_entry.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 1) One of: `acknowledgement_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 1) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 1) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. |
| `log_entry.channel.type` | string |  | (NagiosChannel) Will be `nagios` |
| `log_entry.channel.summary` | string |  | (NagiosChannel) Same as `host` |
| `log_entry.channel.host` | string |  | (NagiosChannel) Nagios host. |
| `log_entry.channel.service` | string |  | (NagiosChannel) Nagios service that created the event, if applicable. |
| `log_entry.channel.state` | string |  | (NagiosChannel) State that caused the event. |
| `log_entry.channel.details` | object |  | (NagiosChannel) Additional details of the incident. |
| `log_entry.channel.type` | string |  | (APIChannel) Will be `api` |
| `log_entry.channel.summary` | string |  | (APIChannel) Same as `description` |
| `log_entry.channel.service_key` | string |  | (APIChannel) API service key. |
| `log_entry.channel.description` | string |  | (APIChannel) Description of the event. |
| `log_entry.channel.incident_key` | string |  | (APIChannel) Incident deduping string. |
| `log_entry.channel.details` | object |  | (APIChannel) Additional details of the incident. |
| `log_entry.channel.type` | string |  | (EmailChannel) Will be `email` |
| `log_entry.channel.summary` | string |  | (EmailChannel) Same as `subject` |
| `log_entry.channel.to` | string |  | (EmailChannel) To address of the email. |
| `log_entry.channel.from` | string |  | (EmailChannel) From address of the email. |
| `log_entry.channel.subject` | string |  | (EmailChannel) Subject of the email. |
| `log_entry.channel.body` | string |  | (EmailChannel) Body of the email. |
| `log_entry.channel.body_content_type` | string |  | (EmailChannel) Content type of the email body. Will be `text/plain` or `text/html` |
| `log_entry.channel.raw_url` | string |  | (EmailChannel) URL for raw text of email. |
| `log_entry.channel.html_url` | string |  | (EmailChannel) URL for html rendered version of the email. Only present if `content_type` is `text/html` |
| `log_entry.channel.type` | string |  | (WebTriggerChannel) Will be `web_trigger` |
| `log_entry.channel.summary` | string |  | (WebTriggerChannel) Same as `subject` |
| `log_entry.channel.subject` | string |  | (WebTriggerChannel) Subject of the web trigger. |
| `log_entry.channel.details` | string |  | (WebTriggerChannel) Details about the web trigger. |
| `log_entry.channel.type` | string | yes | (WebsiteChannel) Will be `website` |
| `log_entry.channel.duration` | integer |  | (WebsiteChannel) For `snooze` log entries, this is the number of seconds that the incident was snoozed for. |
| `log_entry.channel.type` | string | yes | type. |
| `log_entry.channel.user` | object |  |  |
| `log_entry.channel.team` | object |  |  |
| `log_entry.channel.notification` | object |  |  |
| `log_entry.channel.notification.id` | string |  | Read-only. |
| `log_entry.channel.notification.type` | string |  | The type of notification. Read-only. One of: `sms_notification`, `email_notification`, `phone_notification`, `push_notification`. |
| `log_entry.channel.notification.started_at` | string (date-time) |  | The time at which the notification was sent. Read-only. |
| `log_entry.channel.notification.address` | string |  | The address where the notification was sent. This will be null for notification type `push_notification`. Read-only. |
| `log_entry.channel.notification.user` | object |  |  |
| `log_entry.channel.notification.user.id` | string | yes | Read-only. |
| `log_entry.channel.notification.user.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.channel.notification.user.type` | string | yes | One of: `user_reference`. |
| `log_entry.channel.notification.user.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.channel.notification.user.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.channel.notification.conferenceAddress` | string |  | The address of the conference bridge. |
| `log_entry.channel.notification.status` | string |  |  |
| `log_entry.channel.notification.` | string |  |  |
| `log_entry.channel.channel` | object |  | channel. |
| `log_entry.channel.changeset` | object |  | Changeset present in CustomFieldsValueChange and FieldValueChange log entries. |
| `log_entry.channel.changeset.customer_fields` | array of object |  | Customer Fields present in CustomFieldsValueChange and FieldValueChange log entries. |
| `log_entry.channel.changeset.customer_fields[].id` | string |  |  |
| `log_entry.channel.changeset.customer_fields[].name` | string |  |  |
| `log_entry.channel.changeset.customer_fields[].value` | one of: integer \| array of string |  |  |
| `log_entry.channel.changeset.customer_fields[].namespace` | string |  |  |
| `log_entry.channel.changeset.customer_fields[].old_value` | string \| null |  |  |
| `log_entry.channel.changeset.application_fields` | array of object |  | Application Fields present in CustomFieldsValueChange and FieldValueChange log entries. |
| `log_entry.channel.changeset.application_fields[].id` | string |  |  |
| `log_entry.channel.changeset.application_fields[].name` | string |  |  |
| `log_entry.channel.changeset.application_fields[].value` | one of: string \| integer \| array of string |  |  |
| `log_entry.channel.changeset.application_fields[].namespace` | string |  |  |
| `log_entry.channel.changeset.application_fields[].old_value` | string \| null |  |  |
| `log_entry.channel.changeset.custom_attributes` | object |  | Custom attributes for the changeset. |
| `log_entry.channel.changeset.customer_schema` | object |  |  |
| `log_entry.channel.changeset.customer_schema.old_value` | string \| null |  |  |
| `log_entry.agent` | object |  | (option 1) |
| `log_entry.agent.id` | string | yes | Read-only. |
| `log_entry.agent.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.agent.type` | string | yes | One of: `user_reference`, `service_reference`, `integration_reference`. |
| `log_entry.agent.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.agent.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.note` | string |  | (option 1) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 1) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 1) |
| `log_entry.service.id` | string | yes | Read-only. |
| `log_entry.service.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.service.type` | string | yes | One of: `service_reference`. |
| `log_entry.service.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.service.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.incident` | object |  | (option 1) |
| `log_entry.incident.id` | string | yes | Read-only. |
| `log_entry.incident.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.incident.type` | string | yes | One of: `incident_reference`. |
| `log_entry.incident.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.incident.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.teams` | array of object |  | (option 1) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 1) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 1) String record of custom field updates. |
| `log_entry.acknowledgement_timeout` | integer |  | (option 1) Duration for which the acknowledgement lasts, in seconds. Services can contain an `acknowledgement_timeout` property, which specifies the length of time acknowledgements should last for. Each time an incident is acknowledged, this timeout is copied into the acknowledgement log entry. This property is optional, as older log entries may not contain it. It may also be `null`, as acknowledgements can be performed on incidents whose services have no `acknowledgement_timeout` set. |
| `log_entry.id` | string |  | (option 2) Read-only. |
| `log_entry.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 2) One of: `annotate_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 2) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 2) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 2) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 2) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 2) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 2) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 2) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 2) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 2) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 2) String record of custom field updates. |
| `log_entry.id` | string |  | (option 3) Read-only. |
| `log_entry.summary` | string \| null |  | (option 3) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 3) One of: `assign_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 3) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 3) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 3) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 3) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 3) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 3) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 3) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 3) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 3) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 3) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 3) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 3) String record of custom field updates. |
| `log_entry.assignees` | array of object |  | (option 3) An array of assigned Users for this log entry. Read-only. |
| `log_entry.assignees[].id` | string | yes | Read-only. |
| `log_entry.assignees[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.assignees[].type` | string | yes | One of: `user_reference`. |
| `log_entry.assignees[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.assignees[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.id` | string |  | (option 4) Read-only. |
| `log_entry.summary` | string \| null |  | (option 4) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 4) One of: `delegate_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 4) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 4) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 4) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 4) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 4) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 4) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 4) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 4) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 4) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 4) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 4) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 4) String record of custom field updates. |
| `log_entry.assignees` | array of object |  | (option 4) An array of assigned Users for this log entry. Read-only. |
| `log_entry.assignees[].id` | string | yes | Read-only. |
| `log_entry.assignees[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.assignees[].type` | string | yes | One of: `user_reference`. |
| `log_entry.assignees[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.assignees[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.id` | string |  | (option 5) Read-only. |
| `log_entry.summary` | string \| null |  | (option 5) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 5) One of: `escalate_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 5) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 5) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 5) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 5) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 5) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 5) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 5) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 5) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 5) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 5) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 5) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 5) String record of custom field updates. |
| `log_entry.assignees` | array of object |  | (option 5) An array of assigned Users for this log entry. Read-only. |
| `log_entry.assignees[].id` | string | yes | Read-only. |
| `log_entry.assignees[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.assignees[].type` | string | yes | One of: `user_reference`. |
| `log_entry.assignees[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.assignees[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.id` | string |  | (option 6) Read-only. |
| `log_entry.summary` | string \| null |  | (option 6) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 6) One of: `exhaust_escalation_path_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 6) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 6) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 6) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 6) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 6) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 6) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 6) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 6) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 6) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 6) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 6) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 6) String record of custom field updates. |
| `log_entry.id` | string |  | (option 7) Read-only. |
| `log_entry.summary` | string \| null |  | (option 7) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 7) One of: `notify_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 7) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 7) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 7) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 7) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 7) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 7) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 7) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 7) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 7) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 7) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 7) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 7) String record of custom field updates. |
| `log_entry.user` | object |  | (option 7) Same fields as `log_entry.channel.notification.user` above. |
| `log_entry.id` | string |  | (option 8) Read-only. |
| `log_entry.summary` | string \| null |  | (option 8) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 8) One of: `reach_ack_limit_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 8) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 8) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 8) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 8) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 8) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 8) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 8) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 8) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 8) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 8) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 8) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 8) String record of custom field updates. |
| `log_entry.id` | string |  | (option 9) Read-only. |
| `log_entry.summary` | string \| null |  | (option 9) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 9) One of: `reach_trigger_limit_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 9) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 9) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 9) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 9) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 9) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 9) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 9) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 9) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 9) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 9) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 9) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 9) String record of custom field updates. |
| `log_entry.id` | string |  | (option 10) Read-only. |
| `log_entry.summary` | string \| null |  | (option 10) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 10) One of: `repeat_escalation_path_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 10) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 10) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 10) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 10) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 10) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 10) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 10) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 10) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 10) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 10) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 10) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 10) String record of custom field updates. |
| `log_entry.id` | string |  | (option 11) Read-only. |
| `log_entry.summary` | string \| null |  | (option 11) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 11) One of: `resolve_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 11) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 11) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 11) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 11) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 11) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 11) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 11) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 11) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 11) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 11) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 11) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 11) String record of custom field updates. |
| `log_entry.id` | string |  | (option 12) Read-only. |
| `log_entry.summary` | string \| null |  | (option 12) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 12) One of: `snooze_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 12) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 12) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 12) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 12) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 12) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 12) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 12) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 12) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 12) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 12) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 12) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 12) String record of custom field updates. |
| `log_entry.changed_actions` | array of object |  | (option 12) |
| `log_entry.changed_actions[].type` | string | yes | One of: `unacknowledge`, `escalate`, `resolve`, `urgency_change`. |
| `log_entry.changed_actions[].at` | string (date-time) | yes |  |
| `log_entry.changed_actions[].to` | string |  | The urgency that the incident will change to. This field is only present when the type is `urgency_change`. One of: `high`. |
| `log_entry.id` | string |  | (option 13) Read-only. |
| `log_entry.summary` | string \| null |  | (option 13) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 13) One of: `trigger_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 13) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 13) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 13) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 13) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 13) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 13) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 13) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 13) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 13) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 13) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 13) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 13) String record of custom field updates. |
| `log_entry.id` | string |  | (option 14) Read-only. |
| `log_entry.summary` | string \| null |  | (option 14) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 14) One of: `unacknowledge_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 14) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 14) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 14) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 14) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 14) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 14) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 14) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 14) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 14) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 14) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 14) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 14) String record of custom field updates. |
| `log_entry.id` | string |  | (option 15) Read-only. |
| `log_entry.summary` | string \| null |  | (option 15) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.type` | string |  | (option 15) One of: `urgency_change_log_entry`. |
| `log_entry.self` | string \| null (url) |  | (option 15) the API show URL at which the object is accessible. Read-only. |
| `log_entry.html_url` | string \| null (url) |  | (option 15) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.created_at` | string (date-time) |  | (option 15) Time at which the log entry was created. Read-only. |
| `log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 15) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. Same fields as `log_entry.channel` above. |
| `log_entry.agent` | object |  | (option 15) Same fields as `log_entry.agent` above. |
| `log_entry.note` | string |  | (option 15) Optional field containing a note, if one was included with the log entry. Read-only. |
| `log_entry.contexts` | array of object |  | (option 15) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `log_entry.contexts[].href` | string |  | The link's target url. |
| `log_entry.contexts[].src` | string |  | The image's source url. |
| `log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `log_entry.service` | object |  | (option 15) Same fields as `log_entry.service` above. |
| `log_entry.incident` | object |  | (option 15) Same fields as `log_entry.incident` above. |
| `log_entry.teams` | array of object |  | (option 15) Will consist of references unless included. Read-only. |
| `log_entry.teams[].id` | string | yes | Read-only. |
| `log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `log_entry.event_details` | object |  | (option 15) Read-only. |
| `log_entry.event_details.description` | string |  | Additional details about the event. |
| `log_entry.changeset` | array of string |  | (option 15) String record of custom field updates. |

Example: Response Example

```json
{
  "log_entry": {
    "id": "Q02JTSNZWHSEKV",
    "type": "trigger_log_entry",
    "summary": "Triggered through the API",
    "self": "https://api.pagerduty.com/log_entries/Q02JTSNZWHSEKV?incident_id=PT4KHLK",
    "html_url": "https://subdomain.pagerduty.com/incidents/PT4KHLK/log_entries/Q02JTSNZWHSEKV",
    "created_at": "2015-11-07T00:14:20Z",
    "agent": {
      "id": "PIJ90N7",
      "type": "service_reference",
      "summary": "My Mail Service",
      "self": "https://api.pagerduty.com/services/PIJ90N7",
      "html_url": "https://subdomain.pagerduty.com/service-directory/PIJ90N7"
    },
    "channel": {
      "type": "api"
    },
    "incident": {
      "id": "PT4KHLK",
      "type": "incident_reference",
      "summary": "[#1234] The server is on fire.",
      "self": "https://api.pagerduty.com/incidents/PT4KHLK",
      "html_url": "https://subdomain.pagerduty.com/incidents/PT4KHLK"
    },
    "teams": [
      {
        "id": "PQ9K7I8",
        "type": "team_reference",
        "summary": "Engineering",
        "self": "https://api.pagerduty.com/teams/PQ9K7I8",
        "html_url": "https://subdomain.pagerduty.com/teams/PQ9K7I8"
      }
    ],
    "contexts": [],
    "event_details": {
      "description": "Tasks::SFDCValidator - PD_Data__c - duplicates"
    }
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
